Bug 668521 - Subscription search does not clear upon register/unregister in gui
Summary: Subscription search does not clear upon register/unregister in gui
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Adrian Likins
QA Contact: J.C. Molet
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2011-01-10 17:27 UTC by J.C. Molet
Modified: 2011-05-19 13:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:38:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description J.C. Molet 2011-01-10 17:27:37 UTC
Description of problem:
If you unregister and register as a different user your subscription search results from the last user are still populated.  This is confusing to users, and could cause errors when trying to subscribe to entitlements your new user doesn't have access to.

Version-Release number of selected component (if applicable):
subscription-manager-firstboot-0.93.10-1.git.4.433f1bd.el6.x86_64
subscription-manager-gnome-0.93.10-1.git.4.433f1bd.el6.x86_64
subscription-manager-0.93.10-1.git.4.433f1bd.el6.x86_64

Steps to Reproduce:
1.  Install subscription-manager-gui and all required deps.
2.  Register your machine (i used user rh-alpha-2 on dev2)
3.  Go to the "all available subscriptons" tab
4.  Perform a search to get results displayed
5.  Unregister your system
6.  Register your system as a different user with different subscriptions (rh-alpha-3)
7.  go back to the "all available subscriptons" tab

Actual results:
The subscriptions from your last registered user are still populated in the search results.

Expected results:
The search results would be cleared.

Comment 1 Adrian Likins 2011-01-14 14:47:27 UTC
commit 35c75cc26111c5aed3eee89e4d0591c6212dee20
Author: Adrian Likins <alikins@redhat.com>
Date:   Thu Jan 13 15:30:04 2011 -0500

    668521: on unregistration, clear the list of available pools in the

Comment 4 J.C. Molet 2011-01-20 15:26:55 UTC
fixed as tested in:

python-rhsm-0.94.15-1.git.0.b738ea1.el6.noarch
subscription-manager-0.93.13-1.git.4.769efa1.el6.x86_64
subscription-manager-firstboot-0.93.13-1.git.4.769efa1.el6.x86_64
subscription-manager-gnome-0.93.13-1.git.4.769efa1.el6.x86_64

Comment 5 errata-xmlrpc 2011-05-19 13:38:42 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.